zenilib: Lib3dsMaterial Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
Lib3dsMaterial Struct Reference
API

`#include <lib3ds.h>`

## Public Attributes

float | ambient [3]
int | autorefl_map_anti_alias
unsigned | autorefl_map_flags
int | autorefl_map_frame_step
int | autorefl_map_size
float | blur
Lib3dsTextureMap | bump_map
Lib3dsTextureMap | bump_mask
float | diffuse [3]
int | face_map
float | falloff
int | is_additive
int | map_decal
char | name [64]
Lib3dsTextureMap | opacity_map
Lib3dsTextureMap | opacity_mask
Lib3dsTextureMap | reflection_map
Lib3dsTextureMap | reflection_mask
float | self_illum
int | self_illum_flag
Lib3dsTextureMap | self_illum_map
Lib3dsTextureMap | self_illum_mask
int | shading
float | shin_strength
float | shininess
Lib3dsTextureMap | shininess_map
Lib3dsTextureMap | shininess_mask
int | soften
float | specular [3]
Lib3dsTextureMap | specular_map
Lib3dsTextureMap | specular_mask
Lib3dsTextureMap | texture1_map
Lib3dsTextureMap | texture1_mask
Lib3dsTextureMap | texture2_map
Lib3dsTextureMap | texture2_mask
float | transparency
int | two_sided
int | use_blur
int | use_falloff
int | use_wire
int | use_wire_abs
unsigned | user_id
void * | user_ptr
float | wire_size

## Detailed Description

Material

Definition at line 224 of file lib3ds.h.

## Member Data Documentation

float Lib3dsMaterial::ambient[3]

Definition at line 228 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

int Lib3dsMaterial::autorefl_map_anti_alias

Definition at line 266 of file lib3ds.h.

Referenced by lib3ds_material_read(), and lib3ds_material_write().

unsigned Lib3dsMaterial::autorefl_map_flags

Definition at line 265 of file lib3ds.h.

Referenced by lib3ds_material_read(), and lib3ds_material_write().

int Lib3dsMaterial::autorefl_map_frame_step

Definition at line 268 of file lib3ds.h.

Referenced by lib3ds_material_read(), and lib3ds_material_write().

int Lib3dsMaterial::autorefl_map_size

Definition at line 267 of file lib3ds.h.

Referenced by lib3ds_material_read(), and lib3ds_material_write().

float Lib3dsMaterial::blur

Definition at line 234 of file lib3ds.h.

Referenced by lib3ds_material_read(), and lib3ds_material_write().

Lib3dsTextureMap Lib3dsMaterial::bump_map

Definition at line 255 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

Lib3dsTextureMap Lib3dsMaterial::bump_mask

Definition at line 256 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

float Lib3dsMaterial::diffuse[3]

Definition at line 229 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

int Lib3dsMaterial::face_map

Definition at line 243 of file lib3ds.h.

Referenced by lib3ds_material_read(), and lib3ds_material_write().

float Lib3dsMaterial::falloff

Definition at line 236 of file lib3ds.h.

Referenced by lib3ds_material_read(), and lib3ds_material_write().

int Lib3dsMaterial::is_additive

Definition at line 237 of file lib3ds.h.

Referenced by lib3ds_material_read(), and lib3ds_material_write().

int Lib3dsMaterial::map_decal

Definition at line 245 of file lib3ds.h.

Referenced by lib3ds_material_read(), and lib3ds_material_write().

char Lib3dsMaterial::name[64]

Definition at line 227 of file lib3ds.h.

Referenced by face_array_write(), lib3ds_file_material_by_name(), lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

Lib3dsTextureMap Lib3dsMaterial::opacity_map

Definition at line 253 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

Lib3dsTextureMap Lib3dsMaterial::opacity_mask

Definition at line 254 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

Lib3dsTextureMap Lib3dsMaterial::reflection_map

Definition at line 263 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

Lib3dsTextureMap Lib3dsMaterial::reflection_mask

Definition at line 264 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

float Lib3dsMaterial::self_illum

Definition at line 239 of file lib3ds.h.

Referenced by lib3ds_material_read().

int Lib3dsMaterial::self_illum_flag

Definition at line 238 of file lib3ds.h.

Referenced by lib3ds_material_read(), and lib3ds_material_write().

Lib3dsTextureMap Lib3dsMaterial::self_illum_map

Definition at line 261 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

Lib3dsTextureMap Lib3dsMaterial::self_illum_mask

Definition at line 262 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

int Lib3dsMaterial::shading

Definition at line 241 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

float Lib3dsMaterial::shin_strength

Definition at line 232 of file lib3ds.h.

Referenced by lib3ds_material_read(), and lib3ds_material_write().

float Lib3dsMaterial::shininess

Definition at line 231 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

Lib3dsTextureMap Lib3dsMaterial::shininess_map

Definition at line 259 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

Lib3dsTextureMap Lib3dsMaterial::shininess_mask

Definition at line 260 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

int Lib3dsMaterial::soften

Definition at line 242 of file lib3ds.h.

Referenced by lib3ds_material_read(), and lib3ds_material_write().

float Lib3dsMaterial::specular[3]

Definition at line 230 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

Lib3dsTextureMap Lib3dsMaterial::specular_map

Definition at line 257 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

Lib3dsTextureMap Lib3dsMaterial::specular_mask

Definition at line 258 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

Lib3dsTextureMap Lib3dsMaterial::texture1_map

Definition at line 249 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

Lib3dsTextureMap Lib3dsMaterial::texture1_mask

Definition at line 250 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

Lib3dsTextureMap Lib3dsMaterial::texture2_map

Definition at line 251 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

Lib3dsTextureMap Lib3dsMaterial::texture2_mask

Definition at line 252 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

float Lib3dsMaterial::transparency

Definition at line 235 of file lib3ds.h.

Referenced by lib3ds_material_read(), and lib3ds_material_write().

int Lib3dsMaterial::two_sided

Definition at line 244 of file lib3ds.h.

Referenced by lib3ds_material_read(), and lib3ds_material_write().

int Lib3dsMaterial::use_blur

Definition at line 233 of file lib3ds.h.

Referenced by lib3ds_material_read(), and lib3ds_material_write().

int Lib3dsMaterial::use_falloff

Definition at line 240 of file lib3ds.h.

Referenced by lib3ds_material_read(), and lib3ds_material_write().

int Lib3dsMaterial::use_wire

Definition at line 246 of file lib3ds.h.

Referenced by lib3ds_material_read(), and lib3ds_material_write().

int Lib3dsMaterial::use_wire_abs

Definition at line 247 of file lib3ds.h.

Referenced by lib3ds_material_read(), and lib3ds_material_write().

unsigned Lib3dsMaterial::user_id

Definition at line 225 of file lib3ds.h.

void* Lib3dsMaterial::user_ptr

Definition at line 226 of file lib3ds.h.

float Lib3dsMaterial::wire_size

Definition at line 248 of file lib3ds.h.

Referenced by lib3ds_material_new(), lib3ds_material_read(), and lib3ds_material_write().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/lib3ds/src/lib3ds.h